// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005,2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// 1.2 XD/ws/code/objectgrid/src/com/ibm/websphere/objectgrid/ClientServerMultipleReplicationGroupMemberWriteTransactionCallbackException.java, WAS.objectgrid, WASX.XD, b0614.107 2/14/06 17:20:28
//
// Module  :  ClientServerMultipleReplicationGroupMemberWriteTransactionCallbackException.java
//
// Source File Description:
//
//    The user has attempted to update two maps in two different Map Set, Partition Set or
//    Replication Set, which is not allowed.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// d329981      WASX.XD   12/15/2005   pdykes    new code drop
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid;

import com.ibm.websphere.objectgrid.plugins.TransactionCallback;

/**
 * This exception is thrown when a method call to the Client/Server TransactionCallback detects
 * the user is attempting to perform a write against multiple maps in different Map Sets,
 * Partition Sets or Replication groups. This is not allowed.
 *
 * @since WAS XD 6.0.1, XC10
 * @see TransactionCallback
 */
public class ClientServerMultipleReplicationGroupMemberWriteTransactionCallbackException extends ClientServerTransactionCallbackException {

    /**
     * The <code>serialVersionUID</code> for this class.
     */
    private static final long serialVersionUID = -7050552013420358113L;

    /**
     * Constructs a new ClientServerMultipleReplicationGroupMemberWriteTransactionCallbackException with <code>null</code> as its detail
     * message. The cause is not initialized, and may subsequently be initialized
     * by a call to the <code>initCause</code> method.
     *
     * @see #initCause(Throwable)
     */
    public ClientServerMultipleReplicationGroupMemberWriteTransactionCallbackException() {
        super();
    }

    /**
     * Constructs a new ClientServerMultipleReplicationGroupMemberWriteTransactionCallbackException with the specified detail message. The
     * cause is not initialized, and may subsequently be initialized by a call to
     * the <code>initCause</code> method.
     *
     * @param message
     *           the detail message. The detail message is saved for later
     *           retrieval by the <code>getMessage</code> method.
     *
     * @see #initCause(Throwable)
     * @see #getMessage()
     */
    public ClientServerMultipleReplicationGroupMemberWriteTransactionCallbackException(String message) {
        super(message);
    }

    /**
     * Constructs a new ClientServerMultipleReplicationGroupMemberWriteTransactionCallbackException with the specified detail message and
     * cause.
     * <p>
     * Note that the detail message associated with <code>cause</code> is
     * <i>not</i> automatically incorporated in this ClientServerMultipleReplicationGroupMemberWriteTransactionCallbackException's detail
     * message.
     *
     * @param message
     *           the detail message (which is saved for later retrieval by the
     *           <code>getMessage</code> method).
     * @param cause
     *           the cause (which is saved for later retrieval by the
     *           <code>getCause</code> method). (A<code>null</code> value is
     *           permitted, and indicates that the cause is nonexistent or
     *           unknown).
     *
     * @see #getCause()
     * @see #getMessage()
     */
    public ClientServerMultipleReplicationGroupMemberWriteTransactionCallbackException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructs a new ClientServerMultipleReplicationGroupMemberWriteTransactionCallbackException with a specified cause.
     * The cause and a detail message of <code>(cause==null ? null : cause.toString())</code>
     * is used (which typically contains the class and detail message of <code>cause</code>).
     * This constructor is useful for ClientServerMultipleReplicationGroupMemberWriteTransactionCallbackExceptions that are little more
     * than wrappers for other throwables.
     *
     * @param cause is the exception that caused this exception to be thrown,
     *        which is saved for later retrieval by the <code>getCause()</code> method.
     *        A <code>null</code> value is permitted and indicates that the cause
     *        is nonexistent or is unknown.
     *
     * @see #getCause()
     */
    public ClientServerMultipleReplicationGroupMemberWriteTransactionCallbackException(Throwable cause) {
        super(cause);
    }
}