// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2006,2008
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  TransactionQuiesceException.java
//
// Source File Description:
//
//    Need a file description.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b874         6.1       04/27/2006   haowang   quiesce feature
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid;

/**
 * This exception is thrown when partition/shard/mapset/replication group/
 * replication group member/server/cluster/objectgrid is entered quiesce process
 * for various reasons such as shard movement, partition relocation, system update,
 * server shutdown, and others.
 *
 * Quiesce process ensures data integrity and transaction integrity.  This exception
 * is thrown only for new start of a new transaction; it will not impact
 * old transaction requests that are allowed to finish.
 *
 * @since WAS XD 6.1, XC10
 *
 */
public class TransactionQuiesceException extends UnavailableServiceException{

    static final long serialVersionUID = 2946573569820630028L;

    /**
     * Constructs a new TransactionQuiesceException with <code>null</code> as its detail
     * message. The cause is not initialized, and may subsequently be initialized
     * by a call to the <code>initCause</code> method.
     *
     * @see #initCause(Throwable)
     */
	public TransactionQuiesceException(){
        super();
	}

    /**
     * Constructs a new TransactionQuiesceException with the specified detail message. The
     * cause is not initialized, and may subsequently be initialized by a call to
     * the <code>initCause</code> method.
     *
     * @param message
     *           the detail message. The detail message is saved for later
     *           retrieval by the <code>getMessage</code> method.
     *
     * @see #initCause(Throwable)
     * @see #getMessage()
     */
	public TransactionQuiesceException(String message){
		super(message);
	}
}
