// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005,2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// 1.4 XD/ws/code/objectgrid/src/com/ibm/websphere/objectgrid/plugins/LoaderException.java, WAS.objectgrid, WASX.XD, b0614.107 2/14/06 17:22:54
//
// Module  :  LoaderException.java
//
// Source File Description: 
//
//    Need a file description.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// XD60_M1_B.1  WASX.XD   02/04/2005   sutter    new code drop
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.plugins;

import com.ibm.websphere.objectgrid.ObjectGridException;

/**
 * This exception is the base exception for any exceptions encountered by a 
 * <code>Loader</code>.
 * 
 * @since WAS XD 6.0, XC10
 * 
 * @see Loader
 */
public class LoaderException extends ObjectGridException {

    /**
     * The <code>serialVersionUID</code> for this class.
     */
    private static final long serialVersionUID = 227960010672470837L;

    /**
     * Constructs a new LoaderException with <code>null</code> as its detail
     * message. The cause is not initialized, and may subsequently be initialized
     * by a call to the <code>initCause</code> method.
     * 
     * @see #initCause(Throwable)
     */
    public LoaderException() {
        super();
    }

    /**
     * Constructs a new LoaderException with the specified detail message. The
     * cause is not initialized, and may subsequently be initialized by a call to
     * the <code>initCause</code> method.
     * 
     * @param message
     *           the detail message. The detail message is saved for later
     *           retrieval by the <code>getMessage</code> method.
     * 
     * @see #initCause(Throwable)
     * @see #getMessage() 
     */
    public LoaderException(String message) {
        super(message);
    }

    /**
     * Constructs a new LoaderException with the specified detail message and
     * cause.
     * <p>
     * Note that the detail message associated with <code>cause</code> is
     * <i>not</i> automatically incorporated in this LoaderException's detail
     * message.
     * 
     * @param message
     *           the detail message (which is saved for later retrieval by the
     *           <code>getMessage</code> method).
     * @param cause
     *           the cause (which is saved for later retrieval by the
     *           <code>getCause</code> method). (A<code>null</code> value is
     *           permitted, and indicates that the cause is nonexistent or
     *           unknown).
     * 
     * @see #getCause()
     * @see #getMessage() 
     */
    public LoaderException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructs a new LoaderException with a specified cause.
     * The cause and a detail message of <code>(cause==null ? null : cause.toString())</code> 
     * is used (which typically contains the class and detail message of <code>cause</code>).
     * This constructor is useful for LoaderExceptions that are little more
     * than wrappers for other throwables.
     * 
     * @param cause is the exception that caused this exception to be thrown,
     *        which is saved for later retrieval by the <code>getCause()</code> method.
     *        A <code>null</code> value is permitted and indicates that the cause 
     *        is nonexistent or is unknown.
     * 
     * @see #getCause()
     */
    public LoaderException(Throwable cause) {
        super(cause);
    }
}
